## kglobalaccel 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KGlobalAccel)

# ECM setup
include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})


include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(ECMPoQmTools)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KGLOBALACCEL
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kglobalaccel_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5GlobalAccelConfigVersion.cmake"
                        SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.3.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus Widgets)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

# Dependencies of runtime component
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Crash ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)

# no X11 stuff on mac
if (NOT APPLE)
    find_package(XCB MODULE COMPONENTS XCB KEYSYMS XTEST)
    set_package_properties(XCB PROPERTIES DESCRIPTION "X protocol C-language Binding"
                       URL "http://xcb.freedesktop.org"
                       TYPE OPTIONAL
                      )

    find_package(X11)
endif()

set(HAVE_X11 0)

if(X11_FOUND AND XCB_XCB_FOUND)
    set(HAVE_X11 1)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
endif()

# Subdirectories
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

add_subdirectory(src)
add_subdirectory(autotests)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5GlobalAccel")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5GlobalAccelConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5GlobalAccelConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5GlobalAccelConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5GlobalAccelConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5GlobalAccelTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5GlobalAccelTargets.cmake NAMESPACE KF5:: )


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kglobalaccel_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kglobalaccel 5.3.0

=== debian/changelog ===
kglobalaccel (5.3.0-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:33:14 +0100

kglobalaccel (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:51:50 +0200

kglobalaccel (5.1.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Update copyright to match licensing to source 

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:27:01 +0200

kglobalaccel (5.0.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Initial stable upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 09 Jul 2014 18:21:24 +0200

=== debian/control ===
Source: kglobalaccel
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               libqt5x11extras5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kglobalaccel
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kglobalaccel.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kglobalaccel.git

Package: libkf5globalaccel-dev
Section: libdevel
Architecture: any
Depends: libkf5globalaccel5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Breaks: libkf5globalaccel5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Replaces: libkf5globalaccel5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Description: development files for kglobalaccel
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 Contains development files for kglobalaccel.

Package: libkf5globalaccel5
Architecture: any
Multi-Arch: same
Depends: libkf5globalaccel-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.

Package: libkf5globalaccel-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5globalaccel5-data
Replaces: libkf5globalaccel5-data
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This package contains the translations.

Package: libkf5globalaccel5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5globalaccel5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kglobalaccel
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
  .
 Contains debug symbols for kglobalaccel.

## kglobalaccel 5.9.0

=== debian/changelog ===
kglobalaccel (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:29:10 +0200

kglobalaccel (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:39:08 +0100

kglobalaccel (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * New package libkf5globalaccel-bin housing the helper daemon
  * libkf5globalaccel-bin Breaks and Replaces older versions of
    plasma-workspace which previously contained the helper. same goes for
    -data which contains the dbus service file

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:34:33 +0100

kglobalaccel (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:55:20 +0100

kglobalaccel (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:09:47 +0100

kglobalaccel (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:37:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,26 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
+               extra-cmake-modules (>= 1.8.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5coreaddons-dev (>= 5.9.0),
+               libkf5crash-dev (>= 5.9.0),
+               libkf5dbusaddons-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5windowsystem-dev (>= 5.9.0),
                libqt5x11extras5-dev,
+               libxcb-keysyms1-dev,
+               libxcb-xtest0-dev,
+               pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools,
                xauth,
                xvfb
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kglobalaccel
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kglobalaccel.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kglobalaccel.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kglobalaccel.git
 
 Package: libkf5globalaccel-dev
@@ -38,25 +47,41 @@
 Depends: libkf5globalaccel-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: libkf5globalaccel-bin (= ${binary:Version})
 Description: Configurable global shortcut support.
  KGlobalAccel allows you to have global accelerators that are
  independent of the focused window. Unlike regular shortcuts,
  the application's window does not need focus for them to be
  activated.
 
-Package: libkf5globalaccel-data
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5globalaccel5-data
-Replaces: libkf5globalaccel5-data
+Package: libkf5globalaccel-bin
+Architecture: any
+Depends: libkf5globalaccel-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: plasma-workspace (<< 4:5.2.0-0ubuntu2~)
+Replaces: plasma-workspace (<< 4:5.2.0-0ubuntu2~)
 Description: Configurable global shortcut support.
  KGlobalAccel allows you to have global accelerators that are
  independent of the focused window. Unlike regular shortcuts,
  the application's window does not need focus for them to be
  activated.
  .
- This package contains the translations.
+ This package contains binaries.
+
+Package: libkf5globalaccel-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5globalaccel5-data, plasma-workspace (<< 4:5.2.0-0ubuntu2~)
+Replaces: libkf5globalaccel5-data, plasma-workspace (<< 4:5.2.0-0ubuntu2~)
+Description: Configurable global shortcut support.
+ KGlobalAccel allows you to have global accelerators that are
+ independent of the focused window. Unlike regular shortcuts,
+ the application's window does not need focus for them to be
+ activated.
+ .
+ This package contains data files.
 
 Package: libkf5globalaccel5-dbg
 Priority: extra

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kglobalaccel-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kglobalaccel-(.*)\.tar\.xz

## kglobalaccel 5.15.0

=== debian/changelog ===
kglobalaccel (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:48:38 +0100

kglobalaccel (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:17:20 +0100

kglobalaccel (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:06:54 +0200

kglobalaccel (5.12.0-0ubuntu2) wily; urgency=medium

  * Move file from -bin to -dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Aug 2015 00:22:25 +0200

kglobalaccel (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge, remove unused broken backport.
  
  [ Jonathan Riddell ]
  * Build-dep on libxcb-xtest0-dev

  [ Scarlett Clark ]
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:29:52 +0200

kglobalaccel (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * Update symbols files.
  * New upstream release (5.11.0).

  [ Jonathan Riddell ]
  * Build-dep on libxcb-xtest0-dev.

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Sun, 28 Jun 2015 14:29:56 +0200

kglobalaccel (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * Update symbols files.

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Fix install file.
  * Force rebuild. Launchpad was down.
  * Fix another install file.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:44:35 +0200

kglobalaccel (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:08 +0200

kglobalaccel (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:38:51 +0100

kglobalaccel (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).
  * Update build dependencies.
  * Add new libkf5globalaccel-bin package.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:47 +0100

kglobalaccel (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update install files.
  * Update watch file.
  * Add basic autopkgtests support.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 Jan 2015 10:31:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,29 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
-               libkf5config-dev (>= 5.9.0),
-               libkf5coreaddons-dev (>= 5.9.0),
-               libkf5crash-dev (>= 5.9.0),
-               libkf5dbusaddons-dev (>= 5.9.0),
-               libkf5i18n-dev (>= 5.9.0),
-               libkf5windowsystem-dev (>= 5.9.0),
-               libqt5x11extras5-dev,
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
+               libkf5config-dev (>= 5.15.0~),
+               libkf5coreaddons-dev (>= 5.15.0~),
+               libkf5crash-dev (>= 5.15.0~),
+               libkf5dbusaddons-dev (>= 5.15.0~),
+               libkf5i18n-dev (>= 5.15.0~),
+               libkf5windowsystem-dev (>= 5.15.0~),
+               libqt5x11extras5-dev (>= 5.4),
+               libx11-dev,
                libxcb-keysyms1-dev,
                libxcb-xtest0-dev,
+               libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools,
+               qtbase5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
                xauth,
                xvfb
 Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kglobalaccel
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kglobalaccel.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kglobalaccel.git
@@ -30,7 +33,10 @@
 Package: libkf5globalaccel-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5globalaccel5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
+Depends: libkf5globalaccel5 (= ${binary:Version}),
+         libkf5globalaccelprivate5 (= ${binary:Version}),
+         qtbase5-dev (>= 5.4),
+         ${misc:Depends}
 Breaks: libkf5globalaccel5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
 Replaces: libkf5globalaccel5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
 Description: development files for kglobalaccel
@@ -54,13 +60,26 @@
  the application's window does not need focus for them to be
  activated.
 
+Package: libkf5globalaccelprivate5
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Configurable global shortcut support - private runtime library
+ KGlobalAccel allows you to have global accelerators that are
+ independent of the focused window. Unlike regular shortcuts,
+ the application's window does not need focus for them to be
+ activated.
+ .
+ This library is considered private and must not be used by users of
+ KGlobalAccel.
+
 Package: libkf5globalaccel-bin
 Architecture: any
 Depends: libkf5globalaccel-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: plasma-workspace (<< 4:5.2.0-0ubuntu2~)
-Replaces: plasma-workspace (<< 4:5.2.0-0ubuntu2~)
+Breaks: plasma-workspace (<= 4:5.2.0-1)
+Replaces: plasma-workspace (<= 4:5.2.0-1)
 Description: Configurable global shortcut support.
  KGlobalAccel allows you to have global accelerators that are
  independent of the focused window. Unlike regular shortcuts,

## kglobalaccel 5.18.0

=== debian/changelog ===
kglobalaccel (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:21:06 +0100

kglobalaccel (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:36 +0100

kglobalaccel (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:36 +0200

kglobalaccel (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:38 +0100

kglobalaccel (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Update install files, private library is no longer shipped.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:30 +0200

kglobalaccel (5.13.0-2) unstable; urgency=medium

  * Bump build dependencies versions.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 15:41:20 +0200

kglobalaccel (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 20:02:00 +0200

kglobalaccel (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:49 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5crash-dev (>= 5.15.0~),
-               libkf5dbusaddons-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5windowsystem-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5crash-dev (>= 5.18.0~),
+               libkf5dbusaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5windowsystem-dev (>= 5.18.0~),
                libqt5x11extras5-dev (>= 5.4),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -25,7 +25,6 @@
                xauth,
                xvfb
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kglobalaccel
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kglobalaccel.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kglobalaccel.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5globalaccel5-dbg

override_dh_auto_test:
	xvfb-run -a $(overridden_command)

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/kglobalaccel-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/kglobalaccel-([\d.]+)\.tar\.xz

## kglobalaccel 5.26.0

=== debian/changelog ===
kglobalaccel (5.26.0-0ubuntu1) yakkety; urgency=medium

  * Build depend on libkf5service-dev
  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:44:40 +0100

kglobalaccel (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:40:53 +0000

kglobalaccel (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:12:06 +0200

kglobalaccel (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:21:07 -0700

kglobalaccel (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:25 +0100

kglobalaccel (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               libkf5config-dev (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5crash-dev (>= 5.18.0~),
-               libkf5dbusaddons-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5windowsystem-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
+               libkf5config-dev (>= 5.26.0~),
+               libkf5coreaddons-dev (>= 5.26.0~),
+               libkf5crash-dev (>= 5.26.0~),
+               libkf5dbusaddons-dev (>= 5.26.0~),
+               libkf5i18n-dev (>= 5.26.0~),
+               libkf5service-dev (>= 5.26.0~),
+               libkf5windowsystem-dev (>= 5.26.0~),
                libqt5x11extras5-dev (>= 5.4),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -26,8 +27,8 @@
                xvfb
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kglobalaccel
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kglobalaccel.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kglobalaccel.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalaccel
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalaccel
 
 Package: libkf5globalaccel-dev
 Section: libdevel
@@ -100,17 +101,3 @@
  activated.
  .
  This package contains data files.
-
-Package: libkf5globalaccel5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libkf5globalaccel5 (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for kglobalaccel
- KGlobalAccel allows you to have global accelerators that are
- independent of the focused window. Unlike regular shortcuts,
- the application's window does not need focus for them to be
- activated.
-  .
- Contains debug symbols for kglobalaccel.

## kglobalaccel 5.28.0

=== debian/changelog ===
kglobalaccel (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:05:13 +0100

kglobalaccel (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:03:03 +0200

kglobalaccel (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:01:00 +0200

kglobalaccel (5.25.0-2) unstable; urgency=medium

  * Move auto_tests to autopkgtest. (Closes: #836834) Thanks to Andreas
    Beckmann for reporting.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Sep 2016 16:12:35 +0200

kglobalaccel (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 09:58:45 +0200

kglobalaccel (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Jun 2016 11:07:19 +0200

kglobalaccel (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 May 2016 09:09:55 +0200

kglobalaccel (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Sat, 07 May 2016 16:44:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,39 +5,39 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
-               libkf5config-dev (>= 5.26.0~),
-               libkf5coreaddons-dev (>= 5.26.0~),
-               libkf5crash-dev (>= 5.26.0~),
-               libkf5dbusaddons-dev (>= 5.26.0~),
-               libkf5i18n-dev (>= 5.26.0~),
-               libkf5service-dev (>= 5.26.0~),
-               libkf5windowsystem-dev (>= 5.26.0~),
-               libqt5x11extras5-dev (>= 5.4),
+               extra-cmake-modules (>= 5.28.0~),
+               libkf5config-dev (>= 5.28.0~),
+               libkf5coreaddons-dev (>= 5.28.0~),
+               libkf5crash-dev (>= 5.28.0~),
+               libkf5dbusaddons-dev (>= 5.28.0~),
+               libkf5i18n-dev (>= 5.10.0~),
+               libkf5service-dev (>= 5.28.0~),
+               libkf5windowsystem-dev (>= 5.28.0~),
+               libqt5x11extras5-dev (>= 5.5.0~),
                libx11-dev,
                libxcb-keysyms1-dev,
                libxcb-xtest0-dev,
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4),
+               qtbase5-dev (>= 5.5.0~),
                qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4),
-               xauth,
-               xvfb
-Standards-Version: 3.9.6
+               qttools5-dev-tools (>= 5.4)
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kglobalaccel
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalaccel
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalaccel
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kglobalaccel.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kglobalaccel.git
 
 Package: libkf5globalaccel-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5globalaccel5 (= ${binary:Version}),
          libkf5globalaccelprivate5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.5.0~),
          ${misc:Depends}
-Breaks: libkf5globalaccel5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
+Breaks: libkf5globalaccel5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3),
+        libkf5khtml-dev (<< 5.28),
+        libkf5xmlgui-dev (<< 5.28)
 Replaces: libkf5globalaccel5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
 Description: development files for kglobalaccel
  KGlobalAccel allows you to have global accelerators that are
@@ -59,6 +59,11 @@
  independent of the focused window. Unlike regular shortcuts,
  the application's window does not need focus for them to be
  activated.
+Breaks: libkf5kdelibs4support5 (<< 5.28),
+        libkf5khtml5 (<< 5.28),
+        libkf5plasma5 (<< 5.28),
+        libkf5xmlgui5 (<< 5.28),
+        qml-module-org-kde-kquickcontrols (<< 5.28)
 
 Package: libkf5globalaccelprivate5
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5globalaccel5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable auto tests at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, xauth, xvfb
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## kglobalaccel 5.31.0

=== debian/changelog ===
kglobalaccel (5.31.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:53:52 +0000

kglobalaccel (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:37:49 +0000

kglobalaccel (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc for the acc tests in order
    to make them pass.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:20:35 +0000

=== debian/control ===
--- 
+++ 
@@ -5,39 +5,39 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
-               libkf5config-dev (>= 5.28.0~),
-               libkf5coreaddons-dev (>= 5.28.0~),
-               libkf5crash-dev (>= 5.28.0~),
-               libkf5dbusaddons-dev (>= 5.28.0~),
-               libkf5i18n-dev (>= 5.10.0~),
-               libkf5service-dev (>= 5.28.0~),
-               libkf5windowsystem-dev (>= 5.28.0~),
-               libqt5x11extras5-dev (>= 5.5.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-keysyms1-dev,
                libxcb-xtest0-dev,
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.5.0~),
-               qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4)
+               qtbase5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~),
+               qttools5-dev-tools (>= 5.6.1~),
+               xauth,
+               xvfb
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kglobalaccel
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kglobalaccel.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kglobalaccel.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalaccel
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalaccel
 
 Package: libkf5globalaccel-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5globalaccel5 (= ${binary:Version}),
          libkf5globalaccelprivate5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.5.0~),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
-Breaks: libkf5globalaccel5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3),
-        libkf5khtml-dev (<< 5.28),
-        libkf5xmlgui-dev (<< 5.28)
+Breaks: libkf5globalaccel5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
 Replaces: libkf5globalaccel5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
 Description: development files for kglobalaccel
  KGlobalAccel allows you to have global accelerators that are
@@ -59,11 +59,6 @@
  independent of the focused window. Unlike regular shortcuts,
  the application's window does not need focus for them to be
  activated.
-Breaks: libkf5kdelibs4support5 (<< 5.28),
-        libkf5khtml5 (<< 5.28),
-        libkf5plasma5 (<< 5.28),
-        libkf5xmlgui5 (<< 5.28),
-        qml-module-org-kde-kquickcontrols (<< 5.28)
 
 Package: libkf5globalaccelprivate5
 Architecture: any

## kglobalaccel 5.38.1

=== debian/changelog ===
kglobalaccel (5.38.1-0ubuntu1) artful; urgency=medium

  * New bugfix release (5.38.1)
    - Fixes regression breaking many shortcuts; KDE Bug 384597

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Sep 2017 12:20:22 +0100

kglobalaccel (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:15:21 +0100

kglobalaccel (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:51:13 +0100

kglobalaccel (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:55:42 +0100

kglobalaccel (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 23:01:23 +0100

kglobalaccel (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:29:12 +0100

kglobalaccel (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:11:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5crash-dev (>= 5.31.0~),
-               libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5service-dev (>= 5.31.0~),
-               libkf5windowsystem-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5config-dev (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.38.0~),
+               libkf5crash-dev (>= 5.38.0~),
+               libkf5dbusaddons-dev (>= 5.38.0~),
+               libkf5i18n-dev (>= 5.38.0~),
+               libkf5service-dev (>= 5.38.0~),
+               libkf5windowsystem-dev (>= 5.38.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-keysyms1-dev,

## kglobalaccel 5.44.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,12 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
 
-project(KGlobalAccel)
+set(KF5_VERSION "5.44.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
+project(KGlobalAccel VERSION ${KF5_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.18.0  NO_MODULE)
+find_package(ECM 5.44.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -12,26 +14,29 @@
 
 
 include(GenerateExportHeader)
-include(ECMPackageConfigHelpers)
+include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
+include(ECMAddQch)
+include(ECMMarkNonGuiExecutable)
+include(ECMQtDeclareLoggingCategory)
 
 include(ECMPoQmTools)
 
-set(KF5_VERSION "5.18.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
-ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KGLOBALACCEL
+ecm_setup_version(PROJECT VARIABLE_PREFIX KGLOBALACCEL
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kglobalaccel_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5GlobalAccelConfigVersion.cmake"
                         SOVERSION 5)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.3.0)
+set(REQUIRED_QT_VERSION 5.7.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus Widgets)
 
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
 # Dependencies of runtime component
@@ -70,7 +75,17 @@
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5GlobalAccel")
 
-ecm_configure_package_config_file(
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5GlobalAccel_QCH
+        FILE KF5GlobalAccelQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5GlobalAccelQchTargets.cmake\")")
+endif()
+
+configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KF5GlobalAccelConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/KF5GlobalAccelConfig.cmake"
     PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
@@ -88,4 +103,6 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kglobalaccel_version.h
         DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )
 
+# contains list of debug categories, for kdebugsettings
+install(FILES kglobalaccel.categories DESTINATION ${KDE_INSTALL_CONFDIR})
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kglobalaccel (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:57:25 +0000

kglobalaccel (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:15:03 +0000

kglobalaccel (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:21:13 +0000

kglobalaccel (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)
  * Update symbols from build logs. 
  * Added etc/xdg/kglobalaccel.categories to libkf5globalaccel5.install 

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:05:05 -0600

kglobalaccel (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:16:12 +0000

=== debian/control ===
Source: kglobalaccel
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libkf5config-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5crash-dev (>= 5.44.0~),
               libkf5dbusaddons-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5service-dev (>= 5.44.0~),
               libkf5windowsystem-dev (>= 5.44.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kglobalaccel
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalaccel
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalaccel

Package: libkf5globalaccel-bin
Architecture: any
Depends: libkf5globalaccel-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace (<= 4:5.2.0-1)
Replaces: plasma-workspace (<= 4:5.2.0-1)
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This package contains binaries.

Package: libkf5globalaccel-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5globalaccel5-data, plasma-workspace (<< 4:5.2.0-0ubuntu2~)
Replaces: libkf5globalaccel5-data, plasma-workspace (<< 4:5.2.0-0ubuntu2~)
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This package contains data files.

Package: libkf5globalaccel-dev
Architecture: any
Section: libdevel
Depends: libkf5globalaccel5 (= ${binary:Version}),
         libkf5globalaccelprivate5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Breaks: libkf5globalaccel5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Replaces: libkf5globalaccel5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Description: development files for kglobalaccel
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 Contains development files for kglobalaccel.

Package: libkf5globalaccel5
Architecture: any
Multi-Arch: same
Depends: libkf5globalaccel-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5globalaccel-bin (= ${binary:Version})
Description: Configurable global shortcut support.
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.

Package: libkf5globalaccelprivate5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Configurable global shortcut support - private runtime library
 KGlobalAccel allows you to have global accelerators that are
 independent of the focused window. Unlike regular shortcuts,
 the application's window does not need focus for them to be
 activated.
 .
 This library is considered private and must not be used by users of
 KGlobalAccel.

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,4 @@
 	$(overridden_command) --dbgsym-migration='libkf5globalaccel5-dbg (<= 5.19.0-1~~)'
 
 override_dh_auto_test:
-	# Disable auto tests at build time
-	:
+	xvfb-run -a $(overridden_command)

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/kglobalaccel-([\d.]+)\.tar\.xz
